classification
Title: 2.6 dependent on c:\python26\ on windows
Type: behavior Stage:
Components: Installation, Windows Versions: Python 2.7, Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: armandorowe, flomana, georg.brandl, ggenellina, koen, loewis, techtonik
Priority: normal Keywords:

Created on 2008-10-02 23:15 by armandorowe, last changed 2013-03-28 10:43 by georg.brandl. This issue is now closed.

Messages (11)
msg74209 - (view) Author: Armando Rowe (armandorowe) Date: 2008-10-02 23:15
The windows installer for Python 2.6 offers to install on c:\python26\ -
If you chose to install on c:\python\ instead, the installation will run
through and terminate succesfully, but whenever you try executing any
python program, an error message tells you that mvscr90.dll is missing.

It turns out the installer does properly install the dll in a subfolder
of c:\windows\winsxs.

If you remove python, then install on c:\python26\, it will work just fine.

Event occurred on a Dell latitude D620 laptop with 2 GB RAM and a 2 GHz
intel core duo, with Windows XP professional Service Pack 3. No python
packages were installed.
msg74212 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-10-02 23:22
Did you chose "for all users", or "just for me"?
msg74213 - (view) Author: Armando Rowe (armandorowe) Date: 2008-10-02 23:24
For all users in all attempts
msg74219 - (view) Author: Armando Rowe (armandorowe) Date: 2008-10-02 23:53
I got the file name misspelled. The actual file is MSVCR90.dll

the link below explains how to manually install the runtime library. One
would expect the problem would disapear then, It did not.

http://www.microsoft.com/downloads/details.aspx?familyid=32BC1BEE-A3F9-4C13-9C99-220B62A191EE&displaylang=en

Manually depositing msvcr90.dll on c:\windows\system or
c:\windows\system32 fixes this error, but it causes the next one:

runtime error R6034 - An application has made an attempt to load the C
runtime library incorrectly. Please contact the application's support
team for more information. 

The only way I could find to make the problem disapear was installing on
C:\python26\
msg74254 - (view) Author: Koen van de Sande (koen) Date: 2008-10-03 14:47
Have you tried restarting your machine after installing the Visual C++ 
runtime from Microsoft? These runtimes will sometimes only finish 
installing after a reboot. Also, putting them in System/System32 is not 
"allowed" by MSVCR90.dll, either it goes into your application folder 
(together with a .manifest file), or into the WinSXS folder.
msg75084 - (view) Author: flomana (flomana) Date: 2008-10-22 16:02
Environment: Windows XP SP2
Python 2.6 installed for all users

I´ve tried to install 2.6 to my custom directory C:\Archivos de
Programa\Python
All Python programs return Error 6034 (Python.exe, Pythonw.exe)
Step by step, with reboot, I´ve tried as follow:
mvscr90.dll copied to ...\System ...\System32 ...\winsxs with manifest
installing C++ Library mentioned msg74219
but error persist:
runtime error R6034 - An application has made an attempt to load the C
runtime library incorrectly. Please contact the application's support
team for more information.
Regarding my work over win32 and django I´ve returned to ver 2.5.2

Thanks in advance
msg75092 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-10-22 17:30
> Thanks in advance

I would not normally assume that yours is the same problem as the one
reported in this issue. So please report it as a  separate issue if you
want it considered.
msg75098 - (view) Author: flomana (flomana) Date: 2008-10-22 18:50
Martin 

Apper as an extension of the previous problem. I´ve tried with the
changes proposed in the messages, but without success.
Also was my first message, therefore please inform me if is better to
begin a new issue.

Thanks

Note: Install deploy: .msi
msg75958 - (view) Author: anatoly techtonik (techtonik) Date: 2008-11-17 12:47
flomana: Have you tried installing Python in c:\python26\ ? If that
didn't help then it is better start a new issue.
msg103012 - (view) Author: anatoly techtonik (techtonik) Date: 2010-04-13 05:24
I it still actual for 2.6.5 and 2.7?
msg185430 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-03-28 10:43
Closing due to lack of activity.
History
Date User Action Args
2013-03-28 10:43:07georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg185430

resolution: out of date
2010-04-13 05:24:40techtoniksetnosy: loewis, ggenellina, techtonik, koen, armandorowe, flomana
messages: + msg103012
components: + Installation
versions: + Python 2.7
2008-11-27 20:07:18ggenellinasetnosy: + ggenellina
2008-11-17 12:47:46techtoniksetnosy: + techtonik
messages: + msg75958
2008-10-22 18:50:49flomanasetmessages: + msg75098
2008-10-22 17:30:07loewissetmessages: + msg75092
2008-10-22 16:02:59flomanasetnosy: + flomana
messages: + msg75084
components: + Windows, - Build
2008-10-03 14:47:38koensetnosy: + koen
messages: + msg74254
2008-10-02 23:53:19armandorowesetmessages: + msg74219
2008-10-02 23:24:09armandorowesetmessages: + msg74213
2008-10-02 23:22:45loewissetnosy: + loewis
messages: + msg74212
2008-10-02 23:15:42armandorowecreate